'use strict'

const LONG_MSG_BITS = 112
const SHORT_MSG_BITS = 56

module.exports = msgLen

msgLen.LONG_MSG_BITS = LONG_MSG_BITS
msgLen.SHORT_MSG_BITS = SHORT_MSG_BITS

// Given the Downlink Format (DF) of the message, return the message length in
// bits.
//
// All known DF's 16 or greater are long. All known DF's 15 or less are short.
// There are lots of unused codes in both category, so we can assume ICAO will
// stick to these rules, meaning that the most significant bit of the DF
// indicates the length.
function msgLen (type) {
  return (type & 0x10) ? LONG_MSG_BITS : SHORT_MSG_BITS
}
